import { world } from "@minecraft/server";
import { RiptideEnvironment } from "./interfaces";
export const waitTicks = 3;
export const CustomTridents = [
    {
        itemID: "spearsplus:wooden_spear",
        projectile: {
            entityID: "spearsplus:wooden_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "spearsplus:golden_spear",
        projectile: {
            entityID: "spearsplus:golden_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "spearsplus:stone_spear",
        projectile: {
            entityID: "spearsplus:stone_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "spearsplus:iron_spear",
        projectile: {
            entityID: "spearsplus:iron_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "spearsplus:diamond_spear",
        projectile: {
            entityID: "spearsplus:diamond_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    },
    {
        itemID: "spearsplus:netherite_spear",
        projectile: {
            entityID: "spearsplus:netherite_spear_thrown",
            thrownVelocity: 3,
            returnSpeed: 1,
            onReturn: (trident, dimension, owner, level) => {
                world.sendMessage(`${owner.nameTag} is returning ${trident.typeId} with a level of ${level}`);
            },
            returnSound: {
                id: "item.trident.return",
                volume: 1,
                pitch: 1
            },
            thrownSound: {
                id: "item.trident.throw",
                volume: 1,
                pitch: 1
            }
        },
        riptide: {
            environment: RiptideEnvironment.Water,
            velocity: 2.40,
            onRiptide: (player, level) => {
                world.sendMessage(`${player.name} is riptiding with a level of ${level}`);
            },
            sound: {
                ids: ["item.trident.riptide_1", "item.trident.riptide_2", "item.trident.riptide_3"],
                volume: 1
            }
        }
    }
];
